Subject: bug#57417: Emacs crashes due to symbol lookup error to rsvg_handle_set_stylesheet

From: grokking Stuff <[email-masked]>
Date: Thu, 25 Aug 2022 23:12:11 +0400

Hey fellow Guix users,

I’m trying to use Emacs on my system but it tends to crash unexpectedly. 

When launching it from a terminal, I get:

> grokkingstuff@grokkingNoether ~$ emacs
> (process:32402): Gtk-WARNING **: 22:59:14.455: Locale not supported by C library.
> 	Using the fallback 'C' locale.
> /home/grokkingstuff/.guix-profile/bin/emacs: symbol lookup error: /home/grokkingstuff/.guix-profile/bin/emacs: undefined symbol: rsvg_handle_set_stylesheet

Trying to use emacs -q, I get a similar message, but it just crashes quickly.

> ^Cgrokkingstuff@grokkingNoether ~$ emacs-29.0.50 -q
> (process:4018): Gtk-WARNING **: 23:08:35.207: Locale not supported by C library.
> 	Using the fallback 'C' locale.
> /home/grokkingstuff/.guix-profile/bin/emacs-29.0.50: symbol lookup error: /home/grokkingstuff/.guix-profile/bin/emacs-29.0.50: undefined symbol: rsvg_handle_set_stylesheet

I have librsvg installed, and a few Google searches seem to indicate that this is the issue. I’ve tried building from source using "guix install -S” but I don’t see any difference.

If there’s anything I could do to assist with this bug report, please let me know. Thank you so much for your time and effort.

Sincerely,
Vishakh Kumar (grokkingstuff)